io.undertow.client.http2

## Class Http2ClearClientProvider

- java.lang.Object
- - io.undertow.client.http2.Http2ClearClientProvider

All Implemented Interfaces:
  ClientProvider

    public class Http2ClearClientProvider
    extends Object
    implements ClientProvider

HTTP2 client provider that uses HTTP upgrade rather than ALPN. This provider will only use h2c, and sends an initial dummy request to do the initial upgrade.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`Http2ClearClientProvider()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`static String` `createSettingsFrame(org.xnio.OptionMap options, ByteBufferPool bufferPool)`
`Set<String>` `handlesSchemes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http2ClearClientProvider

    public Http2ClearClientProvider()

### Method Detail

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### handlesSchemes

    public Set<String> handlesSchemes()

Specified by:
  `handlesSchemes` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### createSettingsFrame

    public static String createSettingsFrame(org.xnio.OptionMap options,
                                             ByteBufferPool bufferPool)